/***************************************************************************//**
 * @file
 * @brief Example - HTTP Client Files
 *******************************************************************************
 * # License
 * <b>Copyright 2018 Silicon Laboratories Inc. www.silabs.com</b>
 *******************************************************************************
 *
 * The licensor of this software is Silicon Laboratories Inc.  Your use of this
 * software is governed by the terms of Silicon Labs Master Software License
 * Agreement (MSLA) available at
 * www.silabs.com/about-us/legal/master-software-license-agreement.  This
 * software is distributed to you in Source Code format and is governed by the
 * sections of the MSLA applicable to Source Code.
 *
 ******************************************************************************/

/********************************************************************************************************
 ********************************************************************************************************
 *                                     DEPENDENCIES & AVAIL CHECK(S)
 ********************************************************************************************************
 *******************************************************************************************************/

#include  <rtos_description.h>

#if (defined(RTOS_MODULE_NET_HTTP_CLIENT_AVAIL))

/********************************************************************************************************
 ********************************************************************************************************
 *                                           INCLUDE FILES
 ********************************************************************************************************
 *******************************************************************************************************/

#include  "ex_http_client_files.h"

/********************************************************************************************************
 ********************************************************************************************************
 *                                        LOCAL GLOBAL VARIABLES
 ********************************************************************************************************
 *******************************************************************************************************/

const unsigned char Ex_HTTP_Client_LogoGif[] =
{
  0x47, 0x49, 0x46, 0x38, 0x39, 0x61, 0xD4, 0x00, 0x29, 0x00, 0xC4, 0x00, 0x00, 0x29, \
  0x49, 0x5B, 0x77, 0x8B, 0x97, 0x35, 0x53, 0x64, 0xCD, 0xD5, 0xD9, 0xA4, 0xB1, 0xB9, \
  0x63, 0x7A, 0x88, 0xAE, 0xBA, 0xC1, 0xC3, 0xCC, 0xD2, 0x9B, 0xAA, 0xB3, 0xD0, 0xD7, \
  0xDC, 0xBB, 0xC5, 0xCB, 0x95, 0xA5, 0xAE, 0x49, 0x64, 0x74, 0x8A, 0x9B, 0xA6, 0xD6, \
  0xDC, 0xE0, 0x84, 0x96, 0xA1, 0x52, 0x6C, 0x7B, 0x1F, 0x40, 0x53, 0xC9, 0xD1, 0xD7, \
  0x40, 0x5C, 0x6C, 0x7B, 0x8E, 0x9A, 0xBE, 0xC8, 0xCE, 0xB7, 0xC2, 0xC8, 0x71, 0x86, \
  0x92, 0x8E, 0x9F, 0xA9, 0x87, 0x99, 0xA3, 0x69, 0x7F, 0x8C, 0x59, 0x71, 0x80, 0x7F, \
  0x92, 0x9E, 0xB4, 0xBF, 0xC6, 0x18, 0x3A, 0x4E, 0xFF, 0xFF, 0xFF, 0x21, 0xF9, 0x04, \
  0x01, 0x00, 0x00, 0x1F, 0x00, 0x2C, 0x00, 0x00, 0x00, 0x00, 0xD4, 0x00, 0x29, 0x00, \
  0x00, 0x05, 0xFF, 0xE0, 0x27, 0x8E, 0x64, 0x69, 0x9E, 0x68, 0x3A, 0x10, 0xC1, 0xC6, \
  0x4C, 0x13, 0x54, 0x34, 0x4A, 0x3A, 0x62, 0xC2, 0xB4, 0x39, 0x63, 0x82, 0x65, 0x8D, \
  0x60, 0x23, 0x53, 0x31, 0x39, 0x16, 0x40, 0xE1, 0xC3, 0x22, 0x32, 0x3C, 0x84, 0xD0, \
  0xA8, 0xB4, 0xF1, 0xE8, 0x7C, 0x7E, 0xD3, 0x2C, 0x14, 0x93, 0x10, 0x21, 0x92, 0xDA, \
  0x85, 0x41, 0x62, 0x2B, 0x1B, 0x1D, 0xE8, 0xB4, 0x1A, 0xFD, 0x51, 0x9B, 0xDF, 0x70, \
  0xD2, 0x20, 0x00, 0xF0, 0xD8, 0xEF, 0x78, 0x88, 0x35, 0x05, 0xB1, 0x6F, 0x48, 0x12, \
  0x75, 0x78, 0x1E, 0x08, 0x46, 0x02, 0x83, 0x1E, 0x0F, 0x22, 0x17, 0x88, 0x8D, 0x8E, \
  0x14, 0x1F, 0x82, 0x8E, 0x93, 0x1E, 0x11, 0x07, 0x22, 0x0C, 0x94, 0x78, 0x00, 0x05, \
  0x45, 0x71, 0x29, 0x08, 0x00, 0x02, 0xA3, 0xA3, 0x13, 0x07, 0x10, 0x02, 0x00, 0x0B, \
  0x1F, 0x04, 0xA5, 0x9F, 0xAF, 0x29, 0x06, 0x87, 0x9A, 0x95, 0x0D, 0x28, 0x09, 0xB3, \
  0x19, 0x80, 0x92, 0x77, 0x85, 0x25, 0x0E, 0xB3, 0x78, 0x8A, 0x1F, 0x01, 0xB4, 0x93, \
  0x90, 0xBC, 0xC6, 0x77, 0x96, 0x98, 0xCA, 0x76, 0x00, 0x06, 0xB0, 0x26, 0x18, 0x88, \
  0x00, 0x15, 0xB3, 0x7F, 0x8C, 0x1E, 0x00, 0xD2, 0xDD, 0x22, 0x04, 0x11, 0xCE, 0x1E, \
  0x18, 0x27, 0x06, 0x77, 0xD1, 0x23, 0x81, 0x88, 0xBE, 0x24, 0xC0, 0x88, 0xC3, 0xC5, \
  0xE2, 0x78, 0xC8, 0xF2, 0xCB, 0x97, 0x1F, 0x99, 0xE2, 0x00, 0xF7, 0xDE, 0x03, 0x0A, \
  0x1D, 0x75, 0x0A, 0x1C, 0xA8, 0x80, 0x6B, 0x9B, 0x80, 0x04, 0x13, 0x22, 0x28, 0xF4, \
  0x26, 0xAD, 0x42, 0x32, 0x5A, 0x11, 0x98, 0x94, 0x78, 0x60, 0xE7, 0xE0, 0xAE, 0x75, \
  0x86, 0xDE, 0x89, 0x88, 0x57, 0xCF, 0x03, 0xBD, 0x8E, 0xCC, 0xF0, 0xD5, 0x0B, 0xC0, \
  0xB0, 0xC7, 0xA1, 0x0B, 0x22, 0x80, 0xFF, 0x45, 0xD8, 0xE0, 0x61, 0x41, 0x04, 0x06, \
  0x02, 0x22, 0x94, 0x7C, 0xC5, 0xB2, 0xD1, 0x84, 0x02, 0x1B, 0x82, 0xE1, 0xF9, 0x53, \
  0xA2, 0x26, 0x84, 0x12, 0xEA, 0x06, 0xB1, 0x1B, 0xE1, 0x6E, 0xD0, 0x30, 0x6D, 0x1D, \
  0x3F, 0xD6, 0x0B, 0x99, 0x0F, 0x0F, 0x83, 0x21, 0x14, 0xFA, 0x20, 0x9A, 0x30, 0xF3, \
  0x43, 0x41, 0x94, 0x6D, 0x62, 0x36, 0xF0, 0x30, 0xC1, 0x03, 0x87, 0x98, 0xAF, 0x12, \
  0x48, 0x18, 0x4B, 0x96, 0x47, 0x4A, 0xB2, 0x64, 0xBB, 0x88, 0xE8, 0x10, 0x6E, 0x10, \
  0x00, 0x76, 0x09, 0x38, 0xE2, 0x41, 0x27, 0xA2, 0x60, 0x22, 0xA0, 0x0F, 0x87, 0xA6, \
  0xD4, 0x69, 0x67, 0x98, 0x93, 0x0C, 0x80, 0x81, 0xC8, 0xBD, 0x73, 0x61, 0x48, 0xE0, \
  0x2A, 0x57, 0x02, 0x03, 0xC6, 0xD0, 0xF4, 0xCE, 0x84, 0x1F, 0x8A, 0x1B, 0xA8, 0x6D, \
  0x6C, 0x07, 0xEB, 0xC6, 0x6A, 0x64, 0x4A, 0x1C, 0x30, 0x80, 0x00, 0x83, 0x67, 0x04, \
  0x06, 0x06, 0xA4, 0xB8, 0xBA, 0xD7, 0x83, 0x81, 0x3A, 0x11, 0x08, 0x00, 0x90, 0xF9, \
  0xE9, 0x41, 0x04, 0x00, 0xB0, 0x45, 0xF1, 0x3B, 0x10, 0x1B, 0x76, 0x84, 0x61, 0xC4, \
  0x1A, 0x11, 0x30, 0xA1, 0x61, 0x13, 0x83, 0xDD, 0x23, 0x3A, 0x9C, 0xC3, 0x8B, 0xF1, \
  0x17, 0xDF, 0xBB, 0x28, 0x2C, 0x34, 0x92, 0xF8, 0xA6, 0xF7, 0x20, 0x9E, 0x28, 0x28, \
  0x7B, 0xB0, 0xFC, 0xE1, 0x40, 0xDB, 0x65, 0x9E, 0xBE, 0x31, 0xB8, 0xBE, 0xA9, 0xD3, \
  0x09, 0xD2, 0x56, 0x0F, 0x9D, 0xE2, 0x1A, 0x88, 0x75, 0x1C, 0x0A, 0x83, 0x22, 0x64, \
  0xB7, 0x3E, 0x08, 0x52, 0xB3, 0x41, 0x3F, 0x4D, 0x28, 0xB8, 0x89, 0xA1, 0x83, 0x5A, \
  0x12, 0x19, 0x9E, 0x89, 0xBE, 0x38, 0x88, 0x43, 0x07, 0x03, 0x00, 0x06, 0x78, 0x1C, \
  0x6E, 0x26, 0x28, 0x87, 0xC8, 0x1E, 0x6F, 0x14, 0x80, 0x48, 0xFF, 0x7C, 0xD1, 0x21, \
  0x42, 0x5D, 0x05, 0xDC, 0x55, 0xC2, 0x0F, 0x52, 0x93, 0x40, 0x63, 0x42, 0x41, 0x24, \
  0xB5, 0x91, 0x90, 0x04, 0x14, 0x69, 0xE0, 0x00, 0x6C, 0xAF, 0xA0, 0x87, 0x87, 0x7A, \
  0x23, 0xB0, 0x37, 0x4F, 0x5D, 0x0F, 0xE9, 0x72, 0x86, 0x0D, 0x3E, 0x99, 0x10, 0x54, \
  0x47, 0x04, 0x96, 0x60, 0xE0, 0x20, 0x08, 0x9A, 0xA1, 0x20, 0x7C, 0x36, 0x48, 0x47, \
  0x9D, 0x73, 0x9B, 0xA8, 0xB5, 0x95, 0x31, 0x02, 0xEC, 0x47, 0xD4, 0x40, 0xFB, 0x39, \
  0x70, 0xC0, 0x01, 0x0E, 0x24, 0x50, 0x81, 0x68, 0x47, 0x86, 0x98, 0xDE, 0x7A, 0x11, \
  0xBA, 0x67, 0x22, 0x1E, 0xC0, 0x7D, 0x52, 0x14, 0x07, 0x2E, 0x3E, 0xE4, 0x4C, 0x8C, \
  0x24, 0xCC, 0x88, 0x47, 0x8D, 0x65, 0xDC, 0x98, 0x47, 0x8E, 0x88, 0x30, 0xC0, 0x01, \
  0x05, 0x17, 0x74, 0xB5, 0x60, 0x4A, 0x6A, 0xDA, 0x71, 0xDB, 0x3F, 0x14, 0xDA, 0xE1, \
  0x5E, 0x55, 0x65, 0x88, 0x88, 0x5D, 0x89, 0x51, 0x8A, 0x60, 0x41, 0x84, 0x1E, 0x80, \
  0xF9, 0xC6, 0x8C, 0x74, 0xA5, 0xA3, 0xA5, 0x32, 0x5C, 0x8E, 0xE0, 0xE5, 0x1D, 0x7E, \
  0xA6, 0x20, 0xE6, 0x1D, 0x0C, 0x9E, 0x20, 0x1D, 0x2D, 0xBE, 0xBC, 0xE8, 0x81, 0x00, \
  0x66, 0x7D, 0x10, 0x95, 0x06, 0x14, 0x60, 0x80, 0x40, 0xA2, 0x74, 0x96, 0x60, 0xA7, \
  0x9B, 0x50, 0xB6, 0xA7, 0x67, 0x23, 0x9C, 0xDA, 0x40, 0xCD, 0x36, 0x42, 0x0A, 0xDA, \
  0x51, 0x5F, 0x29, 0x1C, 0x6A, 0x47, 0xA9, 0x26, 0x2C, 0x6A, 0x47, 0xA3, 0x26, 0x3C, \
  0x4A, 0x09, 0x74, 0x92, 0x7A, 0x00, 0x01, 0x06, 0x06, 0x54, 0x50, 0x69, 0xA7, 0x40, \
  0x35, 0x40, 0x01, 0x98, 0x9F, 0x56, 0x12, 0xEA, 0x89, 0x1F, 0x40, 0x88, 0x48, 0xA0, \
  0x70, 0xDC, 0xC8, 0xC0, 0x09, 0xB9, 0x8A, 0x53, 0xE8, 0xA8, 0x07, 0xC6, 0x21, 0xAB, \
  0xFF, 0xAE, 0x64, 0x3A, 0xB3, 0xC1, 0x7D, 0x22, 0x35, 0xF2, 0xDA, 0x04, 0x1A, 0x20, \
  0xC0, 0x2D, 0x9D, 0x07, 0x04, 0x33, 0x54, 0xB1, 0x24, 0x8A, 0x30, 0xA5, 0x9C, 0x22, \
  0x44, 0xAB, 0xD7, 0x08, 0x0F, 0x2C, 0x90, 0x59, 0x3B, 0xB3, 0xCC, 0xC9, 0x5F, 0x1E, \
  0x17, 0xE4, 0xAB, 0xEF, 0x05, 0x0F, 0x4D, 0xFB, 0x81, 0xAB, 0x7D, 0x5A, 0xBB, 0x66, \
  0x0A, 0xB6, 0xBA, 0x05, 0xC1, 0xBB, 0x04, 0x00, 0xF9, 0xEE, 0x27, 0x38, 0x6D, 0xE0, \
  0xB0, 0xC3, 0x6D, 0x72, 0x55, 0x29, 0xBA, 0xD9, 0x29, 0x8B, 0xAC, 0x03, 0x11, 0xDB, \
  0x91, 0x21, 0x71, 0x00, 0x40, 0x40, 0x83, 0x59, 0x0A, 0xB4, 0x55, 0xE5, 0xBD, 0xBD, \
  0x64, 0x64, 0x54, 0xAB, 0xA4, 0x0A, 0x8C, 0x23, 0xC1, 0x88, 0x6C, 0x40, 0xC0, 0xCB, \
  0x2F, 0x77, 0x30, 0xEF, 0x34, 0x7C, 0x36, 0xB2, 0x30, 0x1C, 0x83, 0xDE, 0x01, 0x80, \
  0x90, 0xE8, 0xD6, 0xD0, 0x04, 0x22, 0x73, 0x5E, 0x3B, 0xC1, 0xAF, 0x22, 0x50, 0x34, \
  0x48, 0x86, 0xA7, 0x02, 0x30, 0xB3, 0xAA, 0x42, 0x99, 0x2C, 0x0C, 0xCA, 0xD5, 0x36, \
  0x3B, 0x70, 0x83, 0x83, 0x50, 0xF7, 0x46, 0x05, 0x01, 0x4C, 0x90, 0xF3, 0xA4, 0xE3, \
  0xC6, 0x11, 0x81, 0x00, 0x0A, 0x28, 0x60, 0x81, 0x05, 0x07, 0x18, 0x3D, 0x2B, 0x09, \
  0xC5, 0xB6, 0x04, 0x2F, 0xD0, 0x23, 0x20, 0xD0, 0x08, 0x96, 0x5D, 0x3E, 0x44, 0xCE, \
  0x07, 0xCE, 0xA2, 0xE0, 0xAE, 0xD3, 0x77, 0xF8, 0x0B, 0x30, 0xAC, 0x25, 0x5C, 0x4B, \
  0x6B, 0x09, 0x3A, 0x76, 0x93, 0x80, 0x01, 0x0D, 0x68, 0xB0, 0x1D, 0x22, 0x23, 0x7F, \
  0x12, 0x01, 0x55, 0xED, 0x5C, 0x10, 0x0E, 0x03, 0xFC, 0x58, 0x8A, 0x88, 0x00, 0x04, \
  0xAC, 0xF0, 0xD0, 0x9C, 0x18, 0x37, 0xE2, 0xB2, 0x05, 0x06, 0x70, 0xF0, 0x90, 0xD2, \
  0x59, 0x69, 0x6C, 0x77, 0xFF, 0x5E, 0x78, 0xB3, 0x9A, 0x5C, 0xCA, 0x52, 0xAF, 0x4C, \
  0x35, 0x1E, 0x56, 0xA7, 0x90, 0xA4, 0x04, 0x9C, 0x23, 0x30, 0x94, 0x02, 0x7C, 0xAD, \
  0x22, 0xCD, 0xE2, 0x27, 0x0C, 0x44, 0x74, 0xDA, 0x6E, 0x3E, 0x42, 0x82, 0xDB, 0xF5, \
  0xB8, 0x67, 0x71, 0xE2, 0x4C, 0xE3, 0xF1, 0x6E, 0x51, 0x4F, 0x9F, 0x1E, 0x75, 0x82, \
  0x53, 0x3B, 0xEA, 0x20, 0x1C, 0xFC, 0x72, 0x37, 0x72, 0xC6, 0xCC, 0x7A, 0xCD, 0xF8, \
  0x1B, 0xBC, 0x53, 0x62, 0xEF, 0x07, 0x71, 0xD2, 0x32, 0x81, 0x5A, 0x0B, 0x3C, 0x13, \
  0x39, 0xC9, 0x76, 0x1C, 0x3F, 0x20, 0xD4, 0x34, 0xAA, 0x3C, 0x26, 0xCB, 0x55, 0xC3, \
  0x71, 0xEA, 0x26, 0x14, 0x10, 0xB0, 0x80, 0x54, 0x77, 0x58, 0x74, 0xFB, 0xF5, 0x66, \
  0x64, 0x7F, 0xCC, 0x2F, 0x35, 0x01, 0x99, 0x9D, 0x73, 0xCF, 0x1A, 0x5D, 0x71, 0xE8, \
  0xA5, 0x11, 0xE5, 0xA5, 0x2F, 0x75, 0xEB, 0x5B, 0x1D, 0x61, 0xE0, 0xE0, 0x80, 0x82, \
  0x21, 0xC2, 0x76, 0xF7, 0x3B, 0x8F, 0x3C, 0xB6, 0xD7, 0x06, 0x0A, 0xD4, 0x6C, 0x10, \
  0x90, 0x23, 0x81, 0x9A, 0x5A, 0x57, 0xBC, 0x92, 0x19, 0xA7, 0x80, 0x27, 0xD8, 0x9B, \
  0xFA, 0x18, 0x95, 0x2D, 0xD6, 0xC5, 0x41, 0x02, 0x0E, 0x74, 0xD3, 0xDC, 0xBA, 0x81, \
  0x3B, 0x38, 0x14, 0x0B, 0x00, 0x8E, 0xB3, 0x03, 0x4E, 0x6A, 0x03, 0x80, 0x69, 0x55, \
  0x20, 0x4D, 0x7C, 0x02, 0x00, 0x03, 0x10, 0xF0, 0xAB, 0x90, 0x95, 0x4F, 0x05, 0x5A, \
  0xA3, 0x21, 0xF1, 0x1A, 0x48, 0x43, 0x00, 0xAC, 0x50, 0x3E, 0x45, 0x04, 0x5B, 0x1C, \
  0xF8, 0x45, 0xC3, 0x02, 0xB0, 0xA8, 0x88, 0x70, 0x83, 0x43, 0x02, 0x1A, 0x90, 0x90, \
  0x46, 0x08, 0x40, 0x03, 0x3E, 0xF3, 0x46, 0x0B, 0xB1, 0x97, 0x9E, 0x23, 0x89, 0x21, \
  0x49, 0x03, 0x48, 0x80, 0x18, 0x07, 0x40, 0xB4, 0xFF, 0x5F, 0x6C, 0x06, 0x01, 0x0B, \
  0x58, 0x00, 0x68, 0x96, 0xD6, 0xAE, 0x34, 0x2E, 0x20, 0x55, 0xBF, 0x10, 0xA3, 0x1C, \
  0xC5, 0x58, 0x46, 0xAB, 0xCC, 0x31, 0x01, 0x64, 0x74, 0xDD, 0x1D, 0xE9, 0x18, 0x07, \
  0x3C, 0xCE, 0x31, 0x8C, 0x36, 0xF0, 0xA3, 0x1C, 0xF3, 0xF8, 0x0A, 0x07, 0x48, 0xA0, \
  0x03, 0xF2, 0x53, 0x23, 0x01, 0x14, 0xD0, 0xB5, 0x08, 0xBA, 0xF0, 0x49, 0xC0, 0x8A, \
  0xA4, 0x24, 0x27, 0x49, 0xC9, 0x4A, 0x92, 0x60, 0x8B, 0xF9, 0x83, 0xA4, 0x25, 0x37, \
  0xC9, 0xC9, 0x4E, 0x7A, 0xD2, 0x04, 0x98, 0xAC, 0x93, 0x26, 0x3F, 0x49, 0xCA, 0x52, \
  0x9A, 0xB2, 0x24, 0xA1, 0xB4, 0x01, 0xC5, 0x4E, 0xC9, 0xCA, 0x56, 0xBA, 0x32, 0x05, \
  0xA9, 0x4C, 0xC1, 0x2A, 0x5F, 0x49, 0xCB, 0x5A, 0x9A, 0x32, 0x96, 0xC9, 0xC1, 0x80, \
  0x1B, 0xD3, 0xD8, 0xC8, 0x0F, 0x0C, 0x00, 0x8E, 0x28, 0x60, 0x43, 0x1B, 0xD6, 0x40, \
  0xCC, 0x62, 0x96, 0xD1, 0x01, 0x80, 0xB4, 0xA5, 0x32, 0x23, 0x89, 0xCB, 0x92, 0xC8, \
  0x62, 0x01, 0x75, 0x1C, 0xC1, 0x35, 0x7C, 0x01, 0x81, 0x0B, 0x00, 0x24, 0x07, 0xA9, \
  0x30, 0x9C, 0x28, 0x52, 0xC1, 0x00, 0x0B, 0x4C, 0x20, 0x15, 0x02, 0x80, 0x60, 0xB2, \
  0x32, 0xA1, 0x8A, 0x65, 0x9A, 0xB3, 0x2A, 0xCD, 0x64, 0x88, 0x70, 0x3C, 0xC0, 0x80, \
  0xEA, 0x8D, 0x20, 0x61, 0xD1, 0x18, 0x40, 0x04, 0x02, 0xD0, 0x01, 0x08, 0x64, 0x22, \
  0x06, 0x19, 0x28, 0x00, 0x04, 0xBE, 0x06, 0x81, 0xF8, 0xB1, 0x73, 0x03, 0xB0, 0x99, \
  0xD7, 0x3E, 0x35, 0xD0, 0x15, 0xBE, 0x9D, 0xF3, 0xA0, 0xB0, 0xC4, 0x5F, 0xA7, 0xD6, \
  0x29, 0xC3, 0xF1, 0x89, 0x80, 0x03, 0x1E, 0x20, 0x83, 0x72, 0x6C, 0x17, 0x3E, 0xE6, \
  0x1C, 0xC0, 0x2B, 0x22, 0x40, 0x0F, 0x19, 0xC2, 0xB7, 0x87, 0x04, 0x70, 0xFF, 0x22, \
  0x59, 0xE1, 0xFC, 0x40, 0x07, 0x34, 0xC0, 0x81, 0x2E, 0x18, 0x60, 0x01, 0x2C, 0x20, \
  0xC2, 0x07, 0x38, 0xA4, 0x00, 0x07, 0x14, 0x2E, 0x1A, 0x3E, 0xE8, 0x00, 0x05, 0x98, \
  0x83, 0x50, 0x56, 0x7E, 0x6D, 0x97, 0x38, 0xCD, 0xA9, 0x4E, 0x77, 0x8A, 0x80, 0x17, \
  0x96, 0xB4, 0x6F, 0xB7, 0xC1, 0x40, 0x6F, 0xF6, 0xE0, 0x38, 0x21, 0x99, 0x03, 0x38, \
  0x39, 0x11, 0x41, 0x01, 0x22, 0x30, 0xAF, 0xAE, 0x34, 0xC0, 0x2C, 0x06, 0xF8, 0x5A, \
  0x04, 0x9C, 0xB8, 0xD4, 0x97, 0x44, 0x00, 0x4B, 0x8C, 0x50, 0xC0, 0x06, 0xA4, 0x7A, \
  0x00, 0xE5, 0xAC, 0x26, 0x8B, 0x35, 0x3D, 0xE5, 0xD6, 0x56, 0x45, 0x09, 0x0B, 0x8D, \
  0x20, 0x62, 0xA0, 0xC3, 0x07, 0xFE, 0xB6, 0xE2, 0x89, 0xAE, 0xA4, 0x62, 0x3A, 0x24, \
  0x38, 0x0D, 0x57, 0x6A, 0x00, 0x93, 0x0F, 0x34, 0x20, 0x02, 0x08, 0xF1, 0x00, 0x01, \
  0x80, 0xA1, 0x81, 0x04, 0x44, 0xE0, 0x02, 0x47, 0x8D, 0x44, 0x03, 0x12, 0x56, 0x80, \
  0x5E, 0x86, 0xD5, 0x93, 0x54, 0x78, 0x80, 0x62, 0x17, 0xCB, 0xD8, 0xC6, 0x3A, 0xF6, \
  0xB1, 0x8A, 0xCD, 0x40, 0xF7, 0x22, 0xA0, 0x01, 0x7E, 0xC8, 0x53, 0x20, 0x07, 0xA8, \
  0x6B, 0x56, 0xA0, 0xF3, 0x01, 0x0D, 0x00, 0xA0, 0x0B, 0x81, 0x10, 0x00, 0x03, 0x20, \
  0x90, 0x01, 0xA2, 0xCD, 0x81, 0x9D, 0x1E, 0xED, 0x98, 0xD6, 0x14, 0xF0, 0x51, 0x7C, \
  0x40, 0x80, 0x22, 0x12, 0x40, 0xCF, 0x68, 0x13, 0x01, 0x51, 0x87, 0x1E, 0xF6, 0xB6, \
  0x6F, 0x60, 0xE8, 0xAC, 0xC0, 0xFA, 0x01, 0x05, 0x8C, 0x43, 0x04, 0x02, 0x88, 0xCF, \
  0x45, 0xA3, 0xA8, 0xD6, 0xB5, 0xA8, 0xCD, 0x04, 0x1B, 0xC0, 0x4A, 0x01, 0xF6, 0xB1, \
  0x92, 0x05, 0x3C, 0x60, 0x53, 0xBF, 0xE5, 0x1E, 0x6C, 0x9C, 0xA8, 0x81, 0x08, 0x60, \
  0x80, 0x0A, 0x8F, 0xA7, 0x10, 0x00, 0x6E, 0xB7, 0xFB, 0x09, 0x86, 0x4E, 0x80, 0x78, \
  0x1F, 0x70, 0x5B, 0x34, 0x24, 0x30, 0xCF, 0x9F, 0x55, 0xC9, 0xA3, 0x4E, 0xFC, 0x00, \
  0x47, 0x4F, 0xB0, 0xCF, 0x06, 0x2C, 0xA0, 0x63, 0x1F, 0x08, 0xAE, 0x04, 0x26, 0xF0, \
  0x80, 0x84, 0xED, 0x21, 0x7C, 0x11, 0xB9, 0x42, 0x9F, 0xA8, 0x28, 0x01, 0x01, 0x70, \
  0x96, 0xBB, 0x00, 0x46, 0x81, 0x70, 0x00, 0x50, 0x5A, 0x14, 0x58, 0x90, 0x0C, 0xC2, \
  0xF1, 0x05, 0x35, 0x2A, 0x16, 0x01, 0x5B, 0x10, 0x63, 0x67, 0x21, 0x9C, 0x85, 0x00, \
  0x8A, 0x00, 0x8E, 0x49, 0x49, 0x80, 0x03, 0x4C, 0xFD, 0x59, 0x7A, 0x1D, 0x20, 0x95, \
  0x0C, 0xC8, 0x93, 0xB8, 0x01, 0x0E, 0x31, 0x09, 0x46, 0xCA, 0x46, 0x40, 0x20, 0xC9, \
  0x2A, 0x04, 0x69, 0x97, 0xAF, 0x7A, 0x90, 0xE2, 0x95, 0x9E, 0xF8, 0x3B, 0x1D, 0xB0, \
  0x4F, 0x89, 0x42, 0xE3, 0x62, 0xB3, 0x38, 0x60, 0x49, 0x44, 0x31, 0x40, 0x0D, 0x6E, \
  0x6C, 0x58, 0x11, 0x4B, 0x32, 0x04, 0x00, 0x3B,                                     \
};

const unsigned char Ex_HTTP_Client_IndexHtml[] =
{
  0x3C, 0x21, 0x44, 0x4F, 0x43, 0x54, 0x59, 0x50, 0x45, 0x20, 0x48, 0x54, 0x4D, 0x4C, \
  0x20, 0x50, 0x55, 0x42, 0x4C, 0x49, 0x43, 0x20, 0x22, 0x2D, 0x2F, 0x2F, 0x57, 0x33, \
  0x43, 0x2F, 0x2F, 0x44, 0x54, 0x44, 0x20, 0x48, 0x54, 0x4D, 0x4C, 0x20, 0x34, 0x2E, \
  0x30, 0x31, 0x2F, 0x2F, 0x45, 0x4E, 0x22, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, \
  0x20, 0x20, 0x22, 0x68, 0x74, 0x74, 0x70, 0x3A, 0x2F, 0x2F, 0x77, 0x77, 0x77, 0x2E, \
  0x77, 0x33, 0x2E, 0x6F, 0x72, 0x67, 0x2F, 0x54, 0x52, 0x2F, 0x68, 0x74, 0x6D, 0x6C, \
  0x34, 0x2F, 0x73, 0x74, 0x72, 0x69, 0x63, 0x74, 0x2E, 0x64, 0x74, 0x64, 0x22, 0x3E, \
  0x0A, 0x3C, 0x68, 0x74, 0x6D, 0x6C, 0x3E, 0x0A, 0x3C, 0x68, 0x65, 0x61, 0x64, 0x3E, \
  0x0A, 0x09, 0x3C, 0x74, 0x69, 0x74, 0x6C, 0x65, 0x3E, 0x26, 0x6D, 0x69, 0x63, 0x72, \
  0x6F, 0x3B, 0x43, 0x2F, 0x48, 0x54, 0x54, 0x50, 0x73, 0x3C, 0x2F, 0x74, 0x69, 0x74, \
  0x6C, 0x65, 0x3E, 0x0A, 0x09, 0x3C, 0x6D, 0x65, 0x74, 0x61, 0x20, 0x6E, 0x61, 0x6D, \
  0x65, 0x3D, 0x22, 0x67, 0x65, 0x6E, 0x65, 0x72, 0x61, 0x74, 0x6F, 0x72, 0x22, 0x20, \
  0x63, 0x6F, 0x6E, 0x74, 0x65, 0x6E, 0x74, 0x3D, 0x22, 0x42, 0x42, 0x45, 0x64, 0x69, \
  0x74, 0x20, 0x39, 0x2E, 0x33, 0x22, 0x3E, 0x0A, 0x09, 0x3C, 0x73, 0x74, 0x79, 0x6C, \
  0x65, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x74, 0x65, 0x78, 0x74, 0x2F, 0x63, \
  0x73, 0x73, 0x22, 0x20, 0x74, 0x69, 0x74, 0x6C, 0x65, 0x3D, 0x22, 0x74, 0x65, 0x78, \
  0x74, 0x2F, 0x63, 0x73, 0x73, 0x22, 0x3E, 0x0A, 0x0A, 0x09, 0x09, 0x68, 0x74, 0x6D, \
  0x6C, 0x20, 0x7B, 0x20, 0x68, 0x65, 0x69, 0x67, 0x68, 0x74, 0x3A, 0x31, 0x30, 0x30, \
  0x25, 0x3B, 0x20, 0x7D, 0x0A, 0x09, 0x09, 0x62, 0x6F, 0x64, 0x79, 0x20, 0x7B, 0x20, \
  0x62, 0x61, 0x63, 0x6B, 0x67, 0x72, 0x6F, 0x75, 0x6E, 0x64, 0x3A, 0x23, 0x36, 0x36, \
  0x36, 0x36, 0x36, 0x36, 0x3B, 0x20, 0x63, 0x6F, 0x6C, 0x6F, 0x72, 0x3A, 0x23, 0x30, \
  0x61, 0x30, 0x61, 0x30, 0x61, 0x3B, 0x20, 0x66, 0x6F, 0x6E, 0x74, 0x2D, 0x66, 0x61, \
  0x6D, 0x69, 0x6C, 0x79, 0x3A, 0x41, 0x72, 0x69, 0x61, 0x6C, 0x2C, 0x20, 0x73, 0x61, \
  0x6E, 0x73, 0x2D, 0x73, 0x65, 0x72, 0x69, 0x66, 0x3B, 0x20, 0x66, 0x6F, 0x6E, 0x74, \
  0x2D, 0x73, 0x69, 0x7A, 0x65, 0x3A, 0x31, 0x34, 0x70, 0x78, 0x3B, 0x20, 0x6C, 0x69, \
  0x6E, 0x65, 0x2D, 0x68, 0x65, 0x69, 0x67, 0x68, 0x74, 0x3A, 0x32, 0x31, 0x70, 0x78, \
  0x3B, 0x20, 0x68, 0x65, 0x69, 0x67, 0x68, 0x74, 0x3A, 0x31, 0x30, 0x30, 0x25, 0x3B, \
  0x20, 0x7D, 0x0A, 0x09, 0x09, 0x2A, 0x20, 0x7B, 0x20, 0x66, 0x6F, 0x6E, 0x74, 0x2D, \
  0x73, 0x69, 0x7A, 0x65, 0x3A, 0x31, 0x65, 0x6D, 0x3B, 0x20, 0x6D, 0x61, 0x72, 0x67, \
  0x69, 0x6E, 0x3A, 0x30, 0x3B, 0x20, 0x70, 0x61, 0x64, 0x64, 0x69, 0x6E, 0x67, 0x3A, \
  0x30, 0x3B, 0x20, 0x7D, 0x0A, 0x09, 0x09, 0x75, 0x6C, 0x2C, 0x20, 0x6F, 0x6C, 0x20, \
  0x7B, 0x20, 0x70, 0x61, 0x64, 0x64, 0x69, 0x6E, 0x67, 0x2D, 0x6C, 0x65, 0x66, 0x74, \
  0x3A, 0x31, 0x2E, 0x36, 0x65, 0x6D, 0x3B, 0x20, 0x7D, 0x0A, 0x09, 0x09, 0x6F, 0x70, \
  0x74, 0x69, 0x6F, 0x6E, 0x20, 0x7B, 0x20, 0x6D, 0x69, 0x6E, 0x2D, 0x77, 0x69, 0x64, \
  0x74, 0x68, 0x3A, 0x20, 0x31, 0x2E, 0x35, 0x65, 0x6D, 0x3B, 0x20, 0x7D, 0x0A, 0x09, \
  0x09, 0x0A, 0x09, 0x09, 0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 0x7B, 0x20, 0x66, 0x6F, \
  0x6E, 0x74, 0x2D, 0x73, 0x69, 0x7A, 0x65, 0x3A, 0x31, 0x30, 0x70, 0x78, 0x3B, 0x20, \
  0x7D, 0x0A, 0x09, 0x09, 0x69, 0x6E, 0x70, 0x75, 0x74, 0x2E, 0x62, 0x6C, 0x75, 0x65, \
  0x62, 0x75, 0x74, 0x74, 0x6F, 0x6E, 0x20, 0x7B, 0x62, 0x61, 0x63, 0x6B, 0x67, 0x72, \
  0x6F, 0x75, 0x6E, 0x64, 0x3A, 0x23, 0x64, 0x64, 0x65, 0x32, 0x65, 0x36, 0x3B, 0x20, \
  0x62, 0x6F, 0x72, 0x64, 0x65, 0x72, 0x3A, 0x32, 0x70, 0x78, 0x20, 0x73, 0x6F, 0x6C, \
  0x69, 0x64, 0x20, 0x23, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x3B, 0x20, 0x63, 0x6F, \
  0x6C, 0x6F, 0x72, 0x3A, 0x23, 0x32, 0x32, 0x33, 0x64, 0x35, 0x30, 0x3B, 0x20, 0x66, \
  0x6F, 0x6E, 0x74, 0x2D, 0x77, 0x65, 0x69, 0x67, 0x68, 0x74, 0x3A, 0x62, 0x6F, 0x6C, \
  0x64, 0x3B, 0x20, 0x70, 0x61, 0x64, 0x64, 0x69, 0x6E, 0x67, 0x3A, 0x33, 0x70, 0x78, \
  0x20, 0x35, 0x70, 0x78, 0x20, 0x33, 0x70, 0x78, 0x20, 0x35, 0x70, 0x78, 0x3B, 0x20, \
  0x7D, 0x0A, 0x0A, 0x09, 0x09, 0x74, 0x61, 0x62, 0x6C, 0x65, 0x2C, 0x20, 0x74, 0x64, \
  0x20, 0x7B, 0x20, 0x62, 0x6F, 0x72, 0x64, 0x65, 0x72, 0x3A, 0x6E, 0x6F, 0x6E, 0x65, \
  0x3B, 0x20, 0x6D, 0x61, 0x72, 0x67, 0x69, 0x6E, 0x3A, 0x30, 0x3B, 0x20, 0x70, 0x61, \
  0x64, 0x64, 0x69, 0x6E, 0x67, 0x3A, 0x30, 0x3B, 0x20, 0x7D, 0x0A, 0x0A, 0x09, 0x09, \
  0x23, 0x63, 0x6F, 0x6E, 0x74, 0x72, 0x6F, 0x6C, 0x73, 0x20, 0x7B, 0x20, 0x66, 0x6C, \
  0x6F, 0x61, 0x74, 0x3A, 0x72, 0x69, 0x67, 0x68, 0x74, 0x3B, 0x20, 0x6D, 0x61, 0x72, \
  0x67, 0x69, 0x6E, 0x3A, 0x30, 0x20, 0x33, 0x30, 0x70, 0x78, 0x20, 0x30, 0x20, 0x30, \
  0x3B, 0x20, 0x77, 0x69, 0x64, 0x74, 0x68, 0x3A, 0x33, 0x37, 0x30, 0x70, 0x78, 0x3B, \
  0x20, 0x7D, 0x0A, 0x09, 0x09, 0x0A, 0x09, 0x09, 0x23, 0x63, 0x6F, 0x6E, 0x74, 0x72, \
  0x6F, 0x6C, 0x73, 0x20, 0x2E, 0x69, 0x6D, 0x67, 0x20, 0x7B, 0x0A, 0x09, 0x09, 0x09, \
  0x66, 0x6C, 0x6F, 0x61, 0x74, 0x3A, 0x6C, 0x65, 0x66, 0x74, 0x3B, 0x0A, 0x09, 0x09, \
  0x7D, 0x0A, 0x0A, 0x09, 0x09, 0x23, 0x63, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, \
  0x74, 0x20, 0x7B, 0x20, 0x63, 0x6C, 0x65, 0x61, 0x72, 0x3A, 0x62, 0x6F, 0x74, 0x68, \
  0x3B, 0x20, 0x66, 0x6F, 0x6E, 0x74, 0x2D, 0x73, 0x69, 0x7A, 0x65, 0x3A, 0x31, 0x30, \
  0x70, 0x78, 0x3B, 0x20, 0x70, 0x61, 0x64, 0x64, 0x69, 0x6E, 0x67, 0x3A, 0x33, 0x30, \
  0x70, 0x78, 0x20, 0x30, 0x20, 0x30, 0x20, 0x30, 0x3B, 0x20, 0x74, 0x65, 0x78, 0x74, \
  0x2D, 0x61, 0x6C, 0x69, 0x67, 0x6E, 0x3A, 0x72, 0x69, 0x67, 0x68, 0x74, 0x3B, 0x20, \
  0x7D, 0x0A, 0x0A, 0x09, 0x09, 0x23, 0x69, 0x6E, 0x66, 0x6F, 0x72, 0x6D, 0x61, 0x74, \
  0x69, 0x6F, 0x6E, 0x20, 0x7B, 0x20, 0x66, 0x6C, 0x6F, 0x61, 0x74, 0x3A, 0x6C, 0x65, \
  0x66, 0x74, 0x3B, 0x20, 0x6D, 0x61, 0x72, 0x67, 0x69, 0x6E, 0x3A, 0x30, 0x20, 0x33, \
  0x30, 0x70, 0x78, 0x20, 0x30, 0x20, 0x30, 0x3B, 0x20, 0x77, 0x69, 0x64, 0x74, 0x68, \
  0x3A, 0x33, 0x37, 0x30, 0x70, 0x78, 0x3B, 0x20, 0x7D, 0x0A, 0x09, 0x09, 0x23, 0x69, \
  0x6E, 0x66, 0x6F, 0x72, 0x6D, 0x61, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x61, 0x3A, 0x6C, \
  0x69, 0x6E, 0x6B, 0x20, 0x7B, 0x20, 0x63, 0x6F, 0x6C, 0x6F, 0x72, 0x3A, 0x23, 0x63, \
  0x63, 0x63, 0x63, 0x63, 0x63, 0x3B, 0x20, 0x7D, 0x0A, 0x09, 0x09, 0x23, 0x69, 0x6E, \
  0x66, 0x6F, 0x72, 0x6D, 0x61, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x61, 0x3A, 0x76, 0x69, \
  0x73, 0x69, 0x74, 0x65, 0x64, 0x20, 0x7B, 0x20, 0x63, 0x6F, 0x6C, 0x6F, 0x72, 0x3A, \
  0x23, 0x63, 0x63, 0x63, 0x63, 0x63, 0x63, 0x3B, 0x20, 0x7D, 0x0A, 0x09, 0x09, 0x23, \
  0x69, 0x6E, 0x66, 0x6F, 0x72, 0x6D, 0x61, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x61, 0x3A, \
  0x68, 0x6F, 0x76, 0x65, 0x72, 0x20, 0x7B, 0x20, 0x63, 0x6F, 0x6C, 0x6F, 0x72, 0x3A, \
  0x23, 0x66, 0x61, 0x39, 0x35, 0x30, 0x30, 0x3B, 0x20, 0x7D, 0x0A, 0x09, 0x09, 0x23, \
  0x69, 0x6E, 0x66, 0x6F, 0x72, 0x6D, 0x61, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x61, 0x3A, \
  0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x20, 0x7B, 0x20, 0x63, 0x6F, 0x6C, 0x6F, 0x72, \
  0x3A, 0x23, 0x66, 0x61, 0x39, 0x35, 0x30, 0x30, 0x3B, 0x20, 0x7D, 0x0A, 0x0A, 0x09, \
  0x09, 0x23, 0x70, 0x61, 0x67, 0x65, 0x62, 0x6F, 0x64, 0x79, 0x20, 0x7B, 0x20, 0x62, \
  0x61, 0x63, 0x6B, 0x67, 0x72, 0x6F, 0x75, 0x6E, 0x64, 0x3A, 0x23, 0x32, 0x32, 0x33, \
  0x64, 0x35, 0x30, 0x3B, 0x20, 0x70, 0x61, 0x64, 0x64, 0x69, 0x6E, 0x67, 0x3A, 0x30, \
  0x20, 0x30, 0x20, 0x33, 0x30, 0x70, 0x78, 0x20, 0x30, 0x3B, 0x20, 0x7D, 0x0A, 0x09, \
  0x09, 0x23, 0x70, 0x61, 0x67, 0x65, 0x62, 0x6F, 0x64, 0x79, 0x20, 0x68, 0x32, 0x20, \
  0x7B, 0x20, 0x63, 0x6F, 0x6C, 0x6F, 0x72, 0x3A, 0x23, 0x66, 0x66, 0x66, 0x66, 0x66, \
  0x66, 0x3B, 0x20, 0x66, 0x6F, 0x6E, 0x74, 0x2D, 0x73, 0x69, 0x7A, 0x65, 0x3A, 0x31, \
  0x38, 0x70, 0x78, 0x3B, 0x20, 0x66, 0x6F, 0x6E, 0x74, 0x2D, 0x77, 0x65, 0x69, 0x67, \
  0x68, 0x74, 0x3A, 0x62, 0x6F, 0x6C, 0x64, 0x3B, 0x20, 0x6D, 0x61, 0x72, 0x67, 0x69, \
  0x6E, 0x3A, 0x33, 0x30, 0x70, 0x78, 0x20, 0x30, 0x20, 0x31, 0x34, 0x70, 0x78, 0x20, \
  0x33, 0x30, 0x70, 0x78, 0x3B, 0x20, 0x7D, 0x0A, 0x09, 0x09, 0x23, 0x70, 0x61, 0x67, \
  0x65, 0x62, 0x6F, 0x64, 0x79, 0x20, 0x70, 0x20, 0x7B, 0x20, 0x63, 0x6F, 0x6C, 0x6F, \
  0x72, 0x3A, 0x23, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x3B, 0x20, 0x6D, 0x61, 0x72, \
  0x67, 0x69, 0x6E, 0x3A, 0x30, 0x20, 0x33, 0x30, 0x70, 0x78, 0x20, 0x31, 0x34, 0x70, \
  0x78, 0x20, 0x33, 0x30, 0x70, 0x78, 0x3B, 0x20, 0x7D, 0x0A, 0x09, 0x09, 0x23, 0x70, \
  0x61, 0x67, 0x65, 0x62, 0x6F, 0x64, 0x79, 0x20, 0x70, 0x2E, 0x61, 0x6C, 0x65, 0x72, \
  0x74, 0x62, 0x6F, 0x78, 0x20, 0x7B, 0x20, 0x62, 0x61, 0x63, 0x6B, 0x67, 0x72, 0x6F, \
  0x75, 0x6E, 0x64, 0x3A, 0x23, 0x66, 0x61, 0x39, 0x35, 0x30, 0x30, 0x3B, 0x20, 0x6D, \
  0x61, 0x72, 0x67, 0x69, 0x6E, 0x3A, 0x33, 0x30, 0x70, 0x78, 0x20, 0x32, 0x30, 0x70, \
  0x78, 0x20, 0x31, 0x34, 0x70, 0x78, 0x20, 0x32, 0x30, 0x70, 0x78, 0x3B, 0x20, 0x70, \
  0x61, 0x64, 0x64, 0x69, 0x6E, 0x67, 0x3A, 0x35, 0x70, 0x78, 0x20, 0x31, 0x30, 0x70, \
  0x78, 0x20, 0x35, 0x70, 0x78, 0x20, 0x31, 0x30, 0x70, 0x78, 0x3B, 0x20, 0x7D, 0x0A, \
  0x0A, 0x09, 0x09, 0x23, 0x70, 0x61, 0x67, 0x65, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, \
  0x72, 0x20, 0x7B, 0x20, 0x62, 0x61, 0x63, 0x6B, 0x67, 0x72, 0x6F, 0x75, 0x6E, 0x64, \
  0x3A, 0x23, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x3B, 0x20, 0x6D, 0x61, 0x72, 0x67, \
  0x69, 0x6E, 0x3A, 0x30, 0x20, 0x61, 0x75, 0x74, 0x6F, 0x20, 0x30, 0x20, 0x61, 0x75, \
  0x74, 0x6F, 0x3B, 0x20, 0x77, 0x69, 0x64, 0x74, 0x68, 0x3A, 0x38, 0x30, 0x30, 0x70, \
  0x78, 0x3B, 0x20, 0x7D, 0x0A, 0x0A, 0x09, 0x09, 0x23, 0x74, 0x6F, 0x70, 0x62, 0x61, \
  0x6E, 0x6E, 0x65, 0x72, 0x20, 0x7B, 0x20, 0x62, 0x61, 0x63, 0x6B, 0x67, 0x72, 0x6F, \
  0x75, 0x6E, 0x64, 0x3A, 0x23, 0x64, 0x64, 0x65, 0x32, 0x65, 0x36, 0x3B, 0x20, 0x70, \
  0x61, 0x64, 0x64, 0x69, 0x6E, 0x67, 0x3A, 0x32, 0x30, 0x70, 0x78, 0x3B, 0x20, 0x7D, \
  0x0A, 0x09, 0x09, 0x23, 0x74, 0x6F, 0x70, 0x62, 0x61, 0x6E, 0x6E, 0x65, 0x72, 0x20, \
  0x70, 0x20, 0x7B, 0x20, 0x63, 0x6F, 0x6C, 0x6F, 0x72, 0x3A, 0x23, 0x32, 0x32, 0x33, \
  0x64, 0x35, 0x30, 0x3B, 0x20, 0x7D, 0x0A, 0x0A, 0x09, 0x3C, 0x2F, 0x73, 0x74, 0x79, \
  0x6C, 0x65, 0x3E, 0x0A, 0x3C, 0x2F, 0x68, 0x65, 0x61, 0x64, 0x3E, 0x0A, 0x3C, 0x62, \
  0x6F, 0x64, 0x79, 0x3E, 0x0A, 0x0A, 0x3C, 0x64, 0x69, 0x76, 0x20, 0x69, 0x64, 0x3D, \
  0x22, 0x70, 0x61, 0x67, 0x65, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x22, 0x3E, \
  0x0A, 0x0A, 0x09, 0x3C, 0x64, 0x69, 0x76, 0x20, 0x69, 0x64, 0x3D, 0x22, 0x74, 0x6F, \
  0x70, 0x62, 0x61, 0x6E, 0x6E, 0x65, 0x72, 0x22, 0x3E, 0x0A, 0x09, 0x09, 0x3C, 0x69, \
  0x6D, 0x67, 0x20, 0x73, 0x72, 0x63, 0x3D, 0x22, 0x6C, 0x6F, 0x67, 0x6F, 0x2E, 0x67, \
  0x69, 0x66, 0x22, 0x20, 0x61, 0x6C, 0x74, 0x3D, 0x22, 0x22, 0x20, 0x77, 0x69, 0x64, \
  0x74, 0x68, 0x3D, 0x22, 0x32, 0x31, 0x32, 0x22, 0x20, 0x68, 0x65, 0x69, 0x67, 0x68, \
  0x74, 0x3D, 0x22, 0x34, 0x31, 0x22, 0x3E, 0x0A, 0x09, 0x09, 0x3C, 0x70, 0x3E, 0x3C, \
  0x73, 0x74, 0x72, 0x6F, 0x6E, 0x67, 0x3E, 0x41, 0x20, 0x4D, 0x65, 0x6D, 0x62, 0x65, \
  0x72, 0x20, 0x6F, 0x66, 0x20, 0x74, 0x68, 0x65, 0x20, 0x26, 0x6D, 0x69, 0x63, 0x72, \
  0x6F, 0x3B, 0x43, 0x2F, 0x54, 0x43, 0x50, 0x2D, 0x49, 0x50, 0x20, 0x50, 0x72, 0x6F, \
  0x64, 0x75, 0x63, 0x74, 0x20, 0x46, 0x61, 0x6D, 0x69, 0x6C, 0x79, 0x3C, 0x2F, 0x73, \
  0x74, 0x72, 0x6F, 0x6E, 0x67, 0x3E, 0x3C, 0x2F, 0x70, 0x3E, 0x0A, 0x09, 0x3C, 0x2F, \
  0x64, 0x69, 0x76, 0x3E, 0x0A, 0x09, 0x0A, 0x09, 0x3C, 0x64, 0x69, 0x76, 0x20, 0x69, \
  0x64, 0x3D, 0x22, 0x70, 0x61, 0x67, 0x65, 0x62, 0x6F, 0x64, 0x79, 0x22, 0x3E, 0x0A, \
  0x09, 0x0A, 0x09, 0x09, 0x3C, 0x64, 0x69, 0x76, 0x20, 0x69, 0x64, 0x3D, 0x22, 0x69, \
  0x6E, 0x66, 0x6F, 0x72, 0x6D, 0x61, 0x74, 0x69, 0x6F, 0x6E, 0x22, 0x3E, 0x0A, 0x09, \
  0x09, 0x09, 0x3C, 0x70, 0x20, 0x63, 0x6C, 0x61, 0x73, 0x73, 0x3D, 0x22, 0x61, 0x6C, \
  0x65, 0x72, 0x74, 0x62, 0x6F, 0x78, 0x22, 0x3E, 0x59, 0x6F, 0x75, 0x72, 0x20, 0x48, \
  0x54, 0x54, 0x50, 0x20, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x20, 0x69, 0x73, 0x20, \
  0x77, 0x6F, 0x72, 0x6B, 0x69, 0x6E, 0x67, 0x20, 0x70, 0x72, 0x6F, 0x70, 0x65, 0x72, \
  0x6C, 0x79, 0x2E, 0x3C, 0x2F, 0x70, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x3C, 0x70, 0x3E, \
  0x3C, 0x61, 0x20, 0x68, 0x72, 0x65, 0x66, 0x3D, 0x22, 0x68, 0x74, 0x74, 0x70, 0x3A, \
  0x2F, 0x2F, 0x77, 0x77, 0x77, 0x2E, 0x6D, 0x69, 0x63, 0x72, 0x69, 0x75, 0x6D, 0x2E, \
  0x63, 0x6F, 0x6D, 0x2F, 0x70, 0x72, 0x6F, 0x64, 0x75, 0x63, 0x74, 0x73, 0x2F, 0x72, \
  0x74, 0x6F, 0x73, 0x2F, 0x6B, 0x65, 0x72, 0x6E, 0x65, 0x6C, 0x2F, 0x72, 0x74, 0x6F, \
  0x73, 0x2E, 0x68, 0x74, 0x6D, 0x6C, 0x22, 0x3E, 0x26, 0x6D, 0x69, 0x63, 0x72, 0x6F, \
  0x3B, 0x43, 0x2F, 0x4F, 0x53, 0x2D, 0x49, 0x49, 0x49, 0x3C, 0x2F, 0x61, 0x3E, 0x20, \
  0x56, 0x65, 0x72, 0x73, 0x69, 0x6F, 0x6E, 0x3A, 0x20, 0x24, 0x7B, 0x4F, 0x53, 0x5F, \
  0x56, 0x45, 0x52, 0x53, 0x49, 0x4F, 0x4E, 0x7D, 0x3C, 0x2F, 0x70, 0x3E, 0x0A, 0x09, \
  0x09, 0x09, 0x3C, 0x70, 0x3E, 0x3C, 0x61, 0x20, 0x68, 0x72, 0x65, 0x66, 0x3D, 0x22, \
  0x68, 0x74, 0x74, 0x70, 0x3A, 0x2F, 0x2F, 0x77, 0x77, 0x77, 0x2E, 0x6D, 0x69, 0x63, \
  0x72, 0x69, 0x75, 0x6D, 0x2E, 0x63, 0x6F, 0x6D, 0x2F, 0x70, 0x72, 0x6F, 0x64, 0x75, \
  0x63, 0x74, 0x73, 0x2F, 0x74, 0x63, 0x70, 0x2D, 0x69, 0x70, 0x2F, 0x74, 0x63, 0x70, \
  0x2D, 0x69, 0x70, 0x2E, 0x68, 0x74, 0x6D, 0x6C, 0x22, 0x3E, 0x26, 0x6D, 0x69, 0x63, \
  0x72, 0x6F, 0x3B, 0x43, 0x2F, 0x54, 0x43, 0x50, 0x2D, 0x49, 0x50, 0x3C, 0x2F, 0x61, \
  0x3E, 0x20, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6F, 0x6E, 0x3A, 0x20, 0x24, 0x7B, 0x4E, \
  0x45, 0x54, 0x5F, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4F, 0x4E, 0x7D, 0x3C, 0x2F, 0x70, \
  0x3E, 0x0A, 0x09, 0x09, 0x3C, 0x2F, 0x64, 0x69, 0x76, 0x3E, 0x0A, 0x0A, 0x09, 0x09, \
  0x3C, 0x64, 0x69, 0x76, 0x20, 0x69, 0x64, 0x3D, 0x22, 0x63, 0x6F, 0x6E, 0x74, 0x72, \
  0x6F, 0x6C, 0x73, 0x22, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x3C, 0x68, 0x32, 0x3E, 0x45, \
  0x76, 0x61, 0x6C, 0x20, 0x42, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x53, 0x74, 0x61, 0x74, \
  0x75, 0x73, 0x3C, 0x2F, 0x68, 0x32, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x3C, 0x70, 0x3E, \
  0x54, 0x65, 0x6D, 0x70, 0x65, 0x72, 0x61, 0x74, 0x75, 0x72, 0x65, 0x20, 0x73, 0x65, \
  0x6E, 0x73, 0x6F, 0x72, 0x3A, 0x20, 0x24, 0x7B, 0x54, 0x45, 0x4D, 0x50, 0x5F, 0x43, \
  0x7D, 0x26, 0x64, 0x65, 0x67, 0x3B, 0x43, 0x3C, 0x2F, 0x70, 0x3E, 0x0A, 0x09, 0x09, \
  0x09, 0x3C, 0x70, 0x3E, 0x54, 0x65, 0x6D, 0x70, 0x65, 0x72, 0x61, 0x74, 0x75, 0x72, \
  0x65, 0x20, 0x73, 0x65, 0x6E, 0x73, 0x6F, 0x72, 0x3A, 0x20, 0x24, 0x7B, 0x54, 0x45, \
  0x4D, 0x50, 0x5F, 0x46, 0x7D, 0x26, 0x64, 0x65, 0x67, 0x3B, 0x46, 0x3C, 0x2F, 0x70, \
  0x3E, 0x0A, 0x09, 0x09, 0x09, 0x3C, 0x68, 0x32, 0x3E, 0x45, 0x76, 0x61, 0x6C, 0x20, \
  0x42, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x43, 0x6F, 0x6E, 0x74, 0x72, 0x6F, 0x6C, 0x73, \
  0x3C, 0x2F, 0x68, 0x32, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x3C, 0x74, 0x61, 0x62, 0x6C, \
  0x65, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x09, 0x3C, 0x74, 0x72, 0x3E, 0x0A, 0x09, 0x09, \
  0x09, 0x09, 0x09, 0x3C, 0x74, 0x64, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, \
  0x3C, 0x66, 0x6F, 0x72, 0x6D, 0x20, 0x61, 0x63, 0x74, 0x69, 0x6F, 0x6E, 0x3D, 0x22, \
  0x69, 0x6E, 0x64, 0x65, 0x78, 0x2E, 0x68, 0x74, 0x6D, 0x6C, 0x22, 0x20, 0x6D, 0x65, \
  0x74, 0x68, 0x6F, 0x64, 0x3D, 0x22, 0x50, 0x4F, 0x53, 0x54, 0x22, 0x3E, 0x20, 0x0A, \
  0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, 0x70, 0x3E, 0x0A, 0x09, 0x09, 0x09, \
  0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, 0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 0x6E, 0x61, \
  0x6D, 0x65, 0x3D, 0x22, 0x4C, 0x45, 0x44, 0x22, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, \
  0x22, 0x68, 0x69, 0x64, 0x64, 0x65, 0x6E, 0x22, 0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, \
  0x3D, 0x22, 0x4C, 0x45, 0x44, 0x31, 0x22, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, \
  0x09, 0x09, 0x09, 0x3C, 0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 0x74, 0x79, 0x70, 0x65, \
  0x3D, 0x22, 0x73, 0x75, 0x62, 0x6D, 0x69, 0x74, 0x22, 0x20, 0x76, 0x61, 0x6C, 0x75, \
  0x65, 0x3D, 0x22, 0x54, 0x6F, 0x67, 0x67, 0x6C, 0x65, 0x20, 0x4C, 0x45, 0x44, 0x20, \
  0x31, 0x22, 0x20, 0x63, 0x6C, 0x61, 0x73, 0x73, 0x3D, 0x22, 0x62, 0x6C, 0x75, 0x65, \
  0x62, 0x75, 0x74, 0x74, 0x6F, 0x6E, 0x22, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, \
  0x09, 0x09, 0x3C, 0x2F, 0x70, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, \
  0x2F, 0x66, 0x6F, 0x72, 0x6D, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, 0x2F, \
  0x74, 0x64, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, 0x74, 0x64, 0x3E, 0x0A, \
  0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, 0x66, 0x6F, 0x72, 0x6D, 0x20, 0x61, 0x63, \
  0x74, 0x69, 0x6F, 0x6E, 0x3D, 0x22, 0x69, 0x6E, 0x64, 0x65, 0x78, 0x2E, 0x68, 0x74, \
  0x6D, 0x6C, 0x22, 0x20, 0x6D, 0x65, 0x74, 0x68, 0x6F, 0x64, 0x3D, 0x22, 0x50, 0x4F, \
  0x53, 0x54, 0x22, 0x3E, 0x20, 0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, \
  0x70, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, 0x69, 0x6E, \
  0x70, 0x75, 0x74, 0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 0x4C, 0x45, 0x44, 0x22, \
  0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x68, 0x69, 0x64, 0x64, 0x65, 0x6E, 0x22, \
  0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x4C, 0x45, 0x44, 0x32, 0x22, 0x3E, \
  0x20, 0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, 0x69, 0x6E, 0x70, \
  0x75, 0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x73, 0x75, 0x62, 0x6D, 0x69, \
  0x74, 0x22, 0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x54, 0x6F, 0x67, 0x67, \
  0x6C, 0x65, 0x20, 0x4C, 0x45, 0x44, 0x20, 0x32, 0x22, 0x20, 0x63, 0x6C, 0x61, 0x73, \
  0x73, 0x3D, 0x22, 0x62, 0x6C, 0x75, 0x65, 0x62, 0x75, 0x74, 0x74, 0x6F, 0x6E, 0x22, \
  0x3E, 0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, 0x2F, 0x70, 0x3E, 0x0A, \
  0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, 0x2F, 0x66, 0x6F, 0x72, 0x6D, 0x3E, 0x20, \
  0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, 0x3C, 0x2F, 0x74, 0x64, 0x3E, 0x0A, 0x09, 0x09, \
  0x09, 0x09, 0x3C, 0x2F, 0x74, 0x72, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x3C, 0x2F, 0x74, \
  0x61, 0x62, 0x6C, 0x65, 0x3E, 0x0A, 0x09, 0x09, 0x09, 0x0A, 0x09, 0x09, 0x09, 0x3C, \
  0x69, 0x6D, 0x67, 0x20, 0x73, 0x72, 0x63, 0x3D, 0x22, 0x64, 0x6D, 0x62, 0x74, 0x65, \
  0x73, 0x74, 0x2E, 0x67, 0x69, 0x66, 0x22, 0x3E, 0x3C, 0x62, 0x72, 0x3E, 0x09, 0x09, \
  0x0A, 0x09, 0x09, 0x09, 0x3C, 0x69, 0x6D, 0x67, 0x20, 0x73, 0x72, 0x63, 0x3D, 0x22, \
  0x74, 0x65, 0x73, 0x74, 0x2D, 0x32, 0x30, 0x31, 0x2E, 0x67, 0x69, 0x66, 0x22, 0x20, \
  0x77, 0x69, 0x64, 0x74, 0x68, 0x3D, 0x22, 0x32, 0x30, 0x30, 0x22, 0x20, 0x68, 0x65, \
  0x69, 0x67, 0x68, 0x74, 0x3D, 0x22, 0x31, 0x35, 0x30, 0x22, 0x3E, 0x3C, 0x62, 0x72, \
  0x3E, 0x09, 0x09, 0x0A, 0x09, 0x09, 0x09, 0x3C, 0x69, 0x6D, 0x67, 0x20, 0x73, 0x72, \
  0x63, 0x3D, 0x22, 0x74, 0x65, 0x73, 0x74, 0x32, 0x2E, 0x6A, 0x70, 0x67, 0x22, 0x3E, \
  0x3C, 0x62, 0x72, 0x3E, 0x09, 0x0A, 0x09, 0x09, 0x3C, 0x2F, 0x64, 0x69, 0x76, 0x3E, \
  0x0A, 0x0A, 0x09, 0x09, 0x3C, 0x64, 0x69, 0x76, 0x20, 0x69, 0x64, 0x3D, 0x22, 0x63, \
  0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, 0x74, 0x22, 0x3E, 0x0A, 0x09, 0x09, 0x09, \
  0x3C, 0x70, 0x3E, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 0x68, 0x74, 0x20, 0x32, \
  0x30, 0x31, 0x30, 0x20, 0x4D, 0x69, 0x63, 0x72, 0x69, 0x26, 0x6D, 0x69, 0x63, 0x72, \
  0x6F, 0x3B, 0x6D, 0x20, 0x49, 0x6E, 0x63, 0x2E, 0x3C, 0x2F, 0x70, 0x3E, 0x0A, 0x09, \
  0x09, 0x3C, 0x2F, 0x64, 0x69, 0x76, 0x3E, 0x0A, 0x0A, 0x09, 0x3C, 0x2F, 0x64, 0x69, \
  0x76, 0x3E, 0x0A, 0x0A, 0x3C, 0x2F, 0x64, 0x69, 0x76, 0x3E, 0x0A, 0x0A, 0x3C, 0x2F, \
  0x62, 0x6F, 0x64, 0x79, 0x3E, 0x0A, 0x3C, 0x2F, 0x68, 0x74, 0x6D, 0x6C, 0x3E, 0x0A, \
                                                                                      \
};

/********************************************************************************************************
 ********************************************************************************************************
 *                                   DEPENDENCIES & AVAIL CHECK(S) END
 ********************************************************************************************************
 *******************************************************************************************************/

#endif // RTOS_MODULE_NET_HTTP_CLIENT_AVAIL
